Skip to content

AccountsPayableService⁠

Manage accounts payable records.

Operations⁠

deleteInvoice⁠

POST

Deletes an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/accountspayable/deleteInvoice
POST /nexum/627/2022.01/accountspayable/deleteInvoice HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteInvoiceNote⁠

POST

Deletes a note associated with an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
InvoiceNoteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/accountspayable/deleteInvoiceNote
POST /nexum/627/2022.01/accountspayable/deleteInvoiceNote HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "InvoiceNoteLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}